Read Engagement Account Group - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read Engagement Account Group
GET /v1/engagement-account-groups/{engagementAccountGroupId}
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response
200
{
"id": "<string>",
"engagementAccountGroupingId": "<string>",
"code": "<string>",
"description": {},
"lowestLevel": true,
"hierarchy": ["<string>"],
"parentCode": "<string>",
"macCode": "<string>",
"accountTags": ["<string>"],
"publishedDate": "2023-11-07T05:31:56Z",
"orderIndex": 123,
"errors": [{"arguments": ["<string>"]}],
"hidden": true,
"alias": "<string>"
}
Authorizations
Authorization
- type: string
- in: header
- required
- description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
- name: engagementAccountGroupId
type: string
required: true
Definitions
id: The unique object identifier.engagementAccountGroupingId: The unique identifier for the engagement account grouping that the engagement account group belongs to.code: The account code for this account group.description: A description of the account code for this account group.lowestLevel: boolean.hierarchy: list of strings - A list of the parent codes for this account group.parentCode: string.macCode: string.accountTags: list of strings - A list of account tags assigned to this account group.publishedDate: string- The date this account group was published. orderIndex: integer- The order in which this account group is displayed. errors: list of objects - A list of errors associated with this account group.hidden: boolean - When this account is hidden.alias: string - A replacement value used when displaying the account description.